## matplotlib2 2.2.3

=== debian/changelog ===
matplotlib2 (2.2.3-6) unstable; urgency=medium

  * debian/control
    - update Vcs-* fields
  * debian/patches/bts918819-numpy-deprecates-asscalar-gh12508.patch
    - fix DeprecationWarnings with Numpy 1.16; Closes: #918819
  * debian/patches/bts918896-doc-backports-for-2.2.x-gh13258.patch
    - import upstream doc backports patches for 2.2.x branch; Closes: #918896
  * debian/control
    - bump Standards-Version to 4.3.0 (no changes needed)
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Tue, 12 Feb 2019 17:51:04 -0500

matplotlib2 (2.2.3-5) unstable; urgency=medium

  * install the default matplotlib config file at /etc/matplotlibrc2;
    Closes: #917518, #917093

 -- Sandro Tosi <morph@debian.org>  Fri, 28 Dec 2018 11:46:51 -0500

matplotlib2 (2.2.3-4) unstable; urgency=medium

  * upload to unstable
  * debian/control
    - replace suggests on python-gobject with python-gobject-2, python-gi, we
      need them both for the backends; Closes: #912965

 -- Sandro Tosi <morph@debian.org>  Thu, 20 Dec 2018 19:48:16 -0500

matplotlib2 (2.2.3-3) experimental; urgency=medium

  * rename source package to matplotlib2, only to track 2.x releases
  * drop py3k packages; src:matplotlib2 will only provide python2 for the
    Buster Debian release, and new development of matplotlib will continue in
    src:matplotlib and its py3k packages.
  * debian/README.source
    - remove, obsolete
  * rename -doc and -data packages to contain `matplotlib2` instead of
    `matplotlib`, to avoid clash with src:matplotlib
  * debian/patches/20_matplotlibrc_path_search_fix.patch
    - point to matplotlib2-data

 -- Sandro Tosi <morph@debian.org>  Sat, 08 Dec 2018 16:33:41 -0500

matplotlib (2.2.3-2) unstable; urgency=medium

  * debian/rules
    - more rework to install the modules files in the right locations;
      Closes: #915430

 -- Sandro Tosi <morph@debian.org>  Tue, 04 Dec 2018 19:21:13 -0500

matplotlib (2.2.3-1) unstable; urgency=medium

  [ Sandro Tosi ]
  * New upstream release
  * debian/control
    - remove armhf and riscv64 from pandas restrictions in b-d; Closes: #902244
    - bump Standards-Version to 4.2.1 (no changes needed)
  * debian/patches/*
    - refresh, drop
  * debian/patches/0013-static-SHA.patch
    - define a static (None) SHA value, so not to require git and and actual git
      repository during build
  * debian/rules
    - partial rewrite to avoid implicit parallelism and FTBFS due to multiple
      targets overwriting/removing files in parallel
    - remove compiled python files

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout

 -- Sandro Tosi <morph@debian.org>  Sun, 02 Dec 2018 23:10:15 -0500

matplotlib (2.2.2-4) unstable; urgency=medium

  * debian/control
    - exclude some of the b-d on archs where they are not available; thanks to
      Graham Inggs

 -- Sandro Tosi <morph@debian.org>  Sun, 27 May 2018 18:20:55 -0400

matplotlib (2.2.2-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * d/control: Remove ancient X-Python3-Version field

  [ Sandro Tosi ]
  * debian/control
    - add kiwisolver -dbg packages to b-d, needed by tests
    - dont install pandas as b-d in armhf; Closes: #898873
  * debian/patches/0012-dont-generate-a-test-failure-if-images-are-not-close.patch
    - print a warning and not fail the test if the image is not close to the
      matplotlib baseline

 -- Sandro Tosi <morph@debian.org>  Thu, 17 May 2018 20:44:51 -0400

matplotlib (2.2.2-2) unstable; urgency=medium

  * debian/control
    - make -dbg packages depend on kiwisolver -dbg packages; Closes: #895763

 -- Sandro Tosi <morph@debian.org>  Sun, 22 Apr 2018 18:34:49 -0400

matplotlib (2.2.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove XS-Testsuite field, not needed anymore

  [ Sandro Tosi ]
  * New upstream release
    - requires.txt are now generated empty automagically; Closes: #889151
  * debian/control
    - add ipywidgets to b-d, needed by doc
    - add kiwisolver to b-d, new dependency
    - bump Standards-Version to 4.1.4 (no changes needed)
    - re-enable pandas b-d
  * refresh patches
  * debian/patches/0011-remove-distutils.sysconfig.patch
    - dont import distutils.sysconfig in matplotlib, as it's meant to be used
      for building packages, not in a top-level module; Closes: #894502
  * debian/rules
    - make doc via Makefile
    - set --no-parallel
  * debian/README.debian
    - update to mention GTK backend is no longer available; Closes: #889137

 -- Sandro Tosi <morph@debian.org>  Sat, 14 Apr 2018 17:11:41 -0400

matplotlib (2.1.1-2) unstable; urgency=medium

  * debian/control
    - add backports.functools-lru-cache to depends; Closes: #887964

 -- Sandro Tosi <morph@debian.org>  Mon, 22 Jan 2018 23:28:44 -0500

matplotlib (2.1.1-1) unstable; urgency=medium

  * New upstream release; Closes: #827361, #872261
  * debian/control
    - replace python-imaging with python-pil; Closes: #866439
    - add pytest (tests) and sphinx-gallery, backports.functools-lru-cache,
      scipy (doc) to b-d
  * debian/rules
    - no longer install upstream CHANGELOG, it was removed from the tarball
    - install tutorials in the -doc pkg, and dont compress .py files
    - pass the right arguments to tests.py, now that it changed
    - dont compress HTML files
    - now doc cleanup works upstream, so comment the manual cleanup commands
  * debian/copyright
    - update extern/libqhull copyright and license
    - drop delaunay copyright/licence notices, removed upstream
    - update packaging copyright years
  * debian/patches/0009-dont-show-badgesidebar.html.patch
    - dont load badgesidebar.html into documentation webpages, so that we dont

