## matplotlib2 2.2.4

=== debian/changelog ===
matplotlib2 (2.2.4-4) unstable; urgency=medium

  * Drop python-qt4 from autopkgtests too

 -- Sandro Tosi <morph@debian.org>  Sun, 24 Nov 2019 18:47:24 -0500

matplotlib2 (2.2.4-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Sandro Tosi ]
  * Drop -doc package, nudging people towards py3k matplotlib
  * debian/control
    - remove qt4 from b-d and d; Closes: #942538
    - remove pandas from b-d; Closes: #943924
    - remove some b-d no longer needed, mostly used for doc

 -- Sandro Tosi <morph@debian.org>  Wed, 13 Nov 2019 08:59:52 -0500

matplotlib2 (2.2.4-2) unstable; urgency=medium

  * debian/control
    - drop python-cxx-dev from b-d, no longer needed; Closes: #940320

 -- Sandro Tosi <morph@debian.org>  Mon, 16 Sep 2019 23:44:50 -0400

matplotlib2 (2.2.4-1) unstable; urgency=medium

  [ Sandro Tosi ]
  * New upstream release; Closes: #923768
  * debian/control
    - remove basemap from b-d, no longer needed; Closes: #939303
  * debian/patches/*
    - refresh/remove patches merged upstream
  * debian/patches/dont-download-jquery.patch
    - dont try to download jquery during build

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.0.

 -- Sandro Tosi <morph@debian.org>  Thu, 12 Sep 2019 20:34:06 -0400
