=== debian/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
                ghostscript,
                graphviz,
                inkscape [!kfreebsd-amd64],
-               ipython,
                libfreetype6-dev,
                libpng-dev,
                locales-all,
@@ -18,32 +17,21 @@
                python-backports.functools-lru-cache,
                python-cycler (>= 0.10.0),
                python-dateutil,
-               python-colorspacious,
                python-cairocffi [!ia64],
-               python-cxx-dev,
                python-functools32,
                python-gi,
-               python-ipywidgets,
                python-kiwisolver,
                python-kiwisolver-dbg,
                python-mock,
-               python-mpltoolkits.basemap <!stage1>,
                python-nose,
                python-numpy,
                python-numpy-dbg,
-               python-numpydoc,
-               python-pandas [!hppa !m68k !powerpcspe !sparc64 !sh4 !x32],
-               python-pil,
                python-pkg-resources,
                python-pyparsing (>= 1.5.6),
                python-pytest,
-               python-qt4,
                python-pyqt5 [!hurd-i386],
-               python-scipy,
                python-setuptools,
                python-six (>= 1.4),
-               python-sphinx (>= 1.0.7+dfsg),
-               python-sphinx-gallery,
                python-subprocess32,
                python-tk (>= 2.5.2-1.1),
                python-tk-dbg (>= 2.5.2-1.1),
@@ -60,7 +48,7 @@
                xvfb,
                zlib1g-dev
 XS-Python-Version: all
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Homepage: http://matplotlib.org/
 Vcs-Git: https://salsa.debian.org/python-team/modules/matplotlib2.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/matplotlib2
@@ -92,9 +80,7 @@
           python-excelerator,
           python-gi,
           python-gobject-2,
-          python-matplotlib2-doc,
           python-nose,
-          python-qt4,
           python-scipy,
           python-sip,
           python-tornado,
@@ -122,19 +108,6 @@
  .
  This package contains architecture independent data for python-matplotlib.
 
-Package: python-matplotlib2-doc
-Architecture: all
-Section: doc
-Depends: libjs-jquery, ${misc:Depends}
-Description: Python based plotting system (documentation package)
- Matplotlib is a pure Python plotting library designed to bring
- publication quality plotting to Python with a syntax familiar to
- Matlab users. All of the plotting commands in the pylab interface can
- be accessed either via a functional interface familiar to Matlab
- users or an object oriented interface familiar to Python users.
- .
- This package contains documentation for python-matplotlib.
-
 Package: python-matplotlib-dbg
 Architecture: any
 Section: debug
