=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,6 @@
 PY2VERS := $(shell pyversions -v -r debian/control)
 DEFPY := $(shell pyversions -v -d)
 PY_PLATFORM := $(shell python -c 'from distutils.util import get_platform; print get_platform()')
-pd := python-matplotlib2-doc
 p := python-matplotlib
 pdata := python-matplotlib2-data
 pdbg := python-matplotlib-dbg
@@ -17,9 +16,6 @@
 build-indep: build-indep-stamp
 build-indep-stamp: build-arch-stamp
 	dh_testdir
-
-	# build the doc
-	MPLCONFIGDIR=. MATPLOTLIBDATA=$(CURDIR)/lib/matplotlib/mpl-data/ PYTHONPATH=$(CURDIR)/build/lib.$(PY_PLATFORM)-$(DEFPY) $(MAKE) -C doc html
 
 	touch $@
 
@@ -59,32 +55,12 @@
 		python$(i)-dbg ./setup.py clean --all; \
 	done
 
-	# clean the doc
-
-	# workaround for cleaning the doc ("doc/make.py clean" only runs useless svn-clean)
-	rm -f doc/api/_as_gen/*
-	#rm -rf doc/build doc/examples
-	#rm -f doc/mpl_examples/api/*.png
-	#rm -f doc/mpl_examples/pylab_examples/*.png
-	#rm -f doc/mpl_examples/pylab_examples/*.pdf
-	#rm -f doc/mpl_examples/units/*.png
-	#rm -f doc/pyplots/tex_demo.png
-	#rm -f doc/_static/matplotlibrc
-	#rm -f doc/_templates/gallery.html
-
 	find . -name '*.pyc' -exec rm {} \;
 
 	dh_clean lib/matplotlib/mpl-data/matplotlib.conf \
 		lib/matplotlib/mpl-data/matplotlibrc setup.cfg
 	rm -rf build
 	rm -rf lib/matplotlib.egg-info
-
-	# restore "pristine" doc/matplotlibrc
-	sed -i '/^examples\./d' $(CURDIR)/doc/matplotlibrc
-
-	## remove doc symlinks to examples directory
-	#rm -rf doc/mpl_examples
-	#rm -rf doc/mpl_toolkits/axes_grid/examples
 
 	# build twice in a row
 	rm -rf doc/tex.cache/ fontList.py3k.cache result_images/ test_cache/ tex.cache/ examples/pylab_examples/test.xls
@@ -159,13 +135,10 @@
 	dh_testdir -i
 	dh_testroot -i
 	dh_installchangelogs
-	dh_installdocs -p$(pd) -i doc/build/html/ tutorials/
-	# remove pyc file from doc
-	dh_installexamples -p$(pd) -i examples/*
+	dh_installdocs
+	dh_installexamples examples/*
 	dh_compress -i -Xexamples -Xexamples/data -Xpdf -X.js -X.py -Xobjects.inv -X.html
 	dh_link -i
-	dh_sphinxdoc
-	find $(CURDIR)/debian/$(pd)/ -type f -name '*.pyc' | xargs --no-run-if-empty rm
 	dh_lintian -i
 	dh_fixperms -i
 	dh_installdeb -i
