=== debian/tests/control ===
Tests: tkagg
Depends: xauth, xvfb, python-matplotlib, python-matplotlib-dbg, python-tk, python-tk-dbg, python-numpy, python-numpy-dbg, python3-matplotlib, python3-matplotlib-dbg, python3-tk, python3-tk-dbg, python3-numpy, python3-numpy-dbg

Tests: wxagg
Depends: xauth, xvfb, python-matplotlib, python-wxgtk3.0, python-numpy
